<template>
  <v-card v-if="$i18n.locale === 'fr-FR'" height="100%">
    <v-card-title>Dezrann</v-card-title>
    <v-card-subtitle>L'analyse musicale sur le web</v-card-subtitle>
    <v-card-text>
      <p>
        <b>Dezrann</b> est une plateforme ouverte
        pour écouter, etudier et annoter la musique sur le web.<br>
        Dezrann est utilisée en pédagogie musicale
        tout comme en annotation et en visualisation de corpus
        pour la recherche en musicologie ou en informatique musicale.<br>
        Vous pouvez cliquer n'importe où sur la partition ou sur la forme d'onde
        pour créer ou modifier une étiquette.<br>
        Demandez un
        <a
          :href="accountMailUrl"
        >compte</a>
        pour sauvegarder sur le cloud vos analyses
        et pour ajouter vos pièces (partitions ou fichiers audio).
      </p>

      <h4>Références</h4>

      <p>
        <ul>
          <li><a href="http://algomus.fr/dezrann/">algomus.fr/dezrann</a></li>
          <li>
            Mathieu Giraud, Richard Groult, Emmanuel Leguy,
            <a href="https://hal.archives-ouvertes.fr/hal-01796787">
              Dezrann, a Web Framework to Share Music Analysis
            </a>, TENOR 2018, pp. 104-110.
          </li>
          <li>
            Ming La, Mathieu Giraud, Emmanuel Leguy,
            <a href="https://hal.archives-ouvertes.fr/hal-02162935">
              Realtime collaborative annotation of music scores with Dezrann
            </a>, CMMR 2019.
          </li>
          <li>
            Lou Garczynski, Mathieu Giraud, Emmanuel Leguy, Philippe Rigaux
            <a href="https://hal.archives-ouvertes.fr/hal-03583179">
              Modeling and editing cross-modal synchronization on a label web canvas
            </a>, MEC 2022.
          </li>
          <li>
            🇫🇷
            <a href="https://www.ac-amiens.fr/2512-favoriser-l-ecoute-autonome-en-education-musicale.html">
              Favoriser l'écoute autonome en éducation musicale
            </a>, Académie d'Amiens, 2019.
          </li>
        </ul>
      </p>
      <h4>
        Roadmap 2024
      </h4>
      <ul>
        <!-- <li>collaboration en temps réel (voir l'article CMMR 2019)</li> -->
        <li>
          prototype d'outil de synchronisation audio/partition
          et démonstrateur pour le projet CollabScore
        </li>
        <li>collection de 10+ corpus multimodaux avec 1000+ pièces</li>
        <li>
          upload direct de partitions (.midi/.krn/.mei/.mxl)
        </li><li>upload direct d'audio ou sélection par YouTube</li>
      </ul>
      <p />

      <p>
        Nous prévoyons aussi d'ajouter d'autres fonctionnalités de
        <i>collaboration</i> et d'améliorer l'usage de Dezrann
        sur mobile et tablette.
        Pour recevoir des nouvelles sur Dezrann, faire des suggestions,
        demander un compte ou de nouvelles pièces, n'hésitez pas à
        <a
          :href="contactMailUrl"
        >nous contacter</a>.
      </p>

      <p>
        <i>
          Dezrann est développée par
          Emmanuel Leguy, Mathieu Giraud, Charles Ballester, Lou Garczynski
          avec l'aide de nombreu·ses <a href="https://gitlab.com/algomus.fr/dezrann/dezrann/-/blob/dev/codemeta.json?ref_type=heads#L82">contribu·trices</a>
          dans l'équipe d'informatique musicale <a href="http://www.algomus.fr">Algomus</a> et ailleurs.<br>
          Dezrann est open-source (GPL v3+).
          Le code et le suivi des tâches de développement
          sont hébergés sur <a href="https://gitlab.com/algomus.fr/dezrann-front">Gitlab</a>.<br>
          Dezrann est testée sur des navigateurs Firefox, Safari et Chrome récents.
        </i>
      </p>
    </v-card-text>

    <dialog-actions v-if="actions" :actions="['OK']" />
  </v-card>
  <v-card v-else height="100%">
    <v-card-title>Dezrann</v-card-title>
    <v-card-subtitle>Music Analysis on the Web</v-card-subtitle>
    <v-card-text>
      <p>
        <b>Dezrann</b> is an open platform to hear, study,
        and annotate music on the web.<br>
        Dezrann usages include music education as well as corpus annotation
        for musicology or computer music research.<br>
        You can click anywhere on the score or the waveform to add or edit labels.<br>
        Ask for an
        <a
          :href="accountMailUrl"
        >account</a>
        to store your analyses and to add your own scores or audio files.
      </p>

      <h4>More information</h4>

      <p>
        <ul>
          <li><a href="http://algomus.fr/dezrann/">algomus.fr/dezrann</a></li>
          <li>
            Mathieu Giraud, Richard Groult, Emmanuel Leguy,
            <a href="https://hal.archives-ouvertes.fr/hal-01796787">
              Dezrann, a Web Framework to Share Music Analysis
            </a>, TENOR 2018, pp. 104-110.
          </li>
          <li>
            Ming La, Mathieu Giraud, Emmanuel Leguy,
            <a href="https://hal.archives-ouvertes.fr/hal-02162935">
              Realtime collaborative annotation of music scores with Dezrann
            </a>, CMMR 2019.
          </li>
          <li>
            Lou Garczynski, Mathieu Giraud, Emmanuel Leguy, Philippe Rigaux
            <a href="https://hal.archives-ouvertes.fr/hal-03583179">
              Modeling and editing cross-modal synchronization on a label web canvas
            </a>, MEC 2022.
          </li>
          <li>
            🇫🇷
            <a href="https://www.ac-amiens.fr/2512-favoriser-l-ecoute-autonome-en-education-musicale.html">
              Favoriser l'écoute autonome en éducation musicale
            </a>, Académie d'Amiens, 2019.
          </li>
        </ul>
      </p>
      <h4>
        2024 Roadmap
      </h4>
      <ul>
        <!-- <li>realtime collaborative editing (see CMMR 2019 paper)</li> -->
        <li>
          prototype of an audio/score synchronization tool
          and demonstrators for the CollabScore project
        </li>
        <li>curated collection of 10+ corpora / 1000+ pieces</li>
        <li>direct score upload (.midi, .krn, .mei, .mxml)</li>
        <li>direct audio upload or URL selection from YouTube</li>
      </ul>
      <p />

      <p>
        We also plan to add further <i>collaborative features</i> and to improve
        the <i>responsivity</i> for mobile and <br>tablet usage. To receive
        updates on Dezrann, to make suggestions, to request an account, or to
        request new pieces, please
        <a
          :href="contactMailUrl"
        >drop us a mail</a>.
      </p>

      <p>
        <i>
          Dezrann is open-source (GPL v3+) and is developped by
          Emmanuel Leguy, Mathieu Giraud, Lou Garczynski, Charles Ballester,
          with the help of many <a href="https://gitlab.com/algomus.fr/dezrann/dezrann/-/blob/dev/codemeta.json?ref_type=heads#L82">contributors</a>
          in the Algomus computer music team and elsewhere.
          <br>
          The code and the public issue tracker
          are on <a href="https://gitlab.com/algomus.fr/dezrann-front">Gitlab</a>.<br>
          Dezrann has been tested on recent Firefox, Safari and Chrome web browsers.
        </i>
      </p>
    </v-card-text>

    <dialog-actions v-if="actions" :actions="['OK']" />
  </v-card>
</template>
<script lang="ts">
import { Vue, Component, Prop } from 'vue-property-decorator';
import { accountMailUrl, contactMailUrl } from './mail';

@Component
export default class AboutDialog extends Vue {
  @Prop({ required: true })
  actions!: boolean;

  contactMailUrl = contactMailUrl;

  accountMailUrl = accountMailUrl;
}
</script>
